Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xquery.item
Class Seq

    java.lang.Object
      org.basex.query.xquery.expr.Expr
          org.basex.query.xquery.item.Item
              org.basex.query.xquery.item.Seq

Direct Known Subclasses:
  SeqRange

    public class Seq

extends Item

Item sequence.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen

Field Summary
`static Seq` | `EMPTY` Empty sequence.

Fields inherited from class org.basex.query.xquery.expr.Expr
`type`

Constructor Summary
`Seq(Item[] v)` Constructor.
`Seq(Item[] v, int s)` Constructor.
`Seq(Type t)` Constructor.

Method Summary
`boolean` | `bool()` Returns a boolean representation of the item.
`int` | `diff(Item it)` Returns the difference between the current and the specified item.
`boolean` | `e()` Returns if this is an empty sequence.
`boolean` | `eq(Item it)` Checks the items for equality.
`Iter` | `iter()` Returns an iterator.
`int` | `size()` Returns the sequence size or 0.
`byte[]` | `str()` Returns an atomized string.
`java.lang.String` | `toString()`

Methods inherited from class org.basex.query.xquery.item.Item
`castErr, comp, dbl, eval, flt, i, info, itr, serialize, serialize`

Methods inherited from class org.basex.query.xquery.expr.Expr
`cls, d, n, node, s, u`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EMPTY

    public static final Seq EMPTY

  Empty sequence.

Constructor Detail

### Seq

    public Seq(Item[] v)

  Constructor.

  Parameters:
    `v` - value

### Seq

    public Seq(Item[] v,
               int s)

  Constructor.

  Parameters:
    `v` - value
    `s` - size

### Seq

    public Seq(Type t)

  Constructor.

  Parameters:
    `t` - data type

Method Detail

### bool

    public boolean bool()
                 throws XQException

  Description copied from class: `Item`
  Returns a boolean representation of the item.

  Overrides:
    `bool` in class `Item`
  Returns:
    boolean value
  Throws:
    `XQException` - evaluation exception

### diff

    public final int diff(Item it)

  Description copied from class: `Item`
  Returns the difference between the current and the specified item.

  Overrides:
    `diff` in class `Item`
  Parameters:
    `it` - item to be compared.
  Returns:
    difference

### e

    public boolean e()

  Description copied from class: `Expr`
  Returns if this is an empty sequence.

  Overrides:
    `e` in class `Expr`
  Returns:
    result of check

### eq

    public final boolean eq(Item it)
                     throws XQException

  Description copied from class: `Item`
  Checks the items for equality.

  Specified by:
    `eq` in class `Item`
  Parameters:
    `it` - item to be compared.
  Returns:
    result of check
  Throws:
    `XQException` - evaluation exception

### iter

    public Iter iter()

  Description copied from class: `Item`
  Returns an iterator.

  Overrides:
    `iter` in class `Item`
  Returns:
    result of check

### size

    public int size()

  Description copied from class: `Expr`
  Returns the sequence size or 0.

  Overrides:
    `size` in class `Item`
  Returns:
    result of check

### str

    public final byte[] str()

  Description copied from class: `Expr`
  Returns an atomized string.

  Overrides:
    `str` in class `Expr`
  Returns:
    string representation

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Item`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD